	.file	"rlimit_nofile.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
.LC0:
	.string	"getrlimit"
	.align 4
.LC1:
	.string	"setrlimit exceeding hardlimit must set errno=EINVAL\n"
	.align 4
.LC2:
	.string	"setrlimit exceeding hardlimit must return -1\n"
	.align 4
.LC3:
	.string	"setrlimit changing hardlimit must set errno=EPERM\n"
	.align 4
.LC4:
	.string	"setrlimit changing hardlimit must return -1\n"
.LC5:
	.string	"setrlimit"
	.align 4
.LC6:
	.string	"rlim_cur is %llu (should be %llu)\n"
	.align 4
.LC7:
	.string	"rlim_max is %llu (should be %llu)\n"
.LC8:
	.string	"/dev/null"
.LC9:
	.string	"open"
	.align 4
.LC10:
	.string	"open succeeded with fd %d - it should have failed!\n"
	.text
.globl main
	.type	main, @function
main:
.LFB0:
	.file 1 "rlimit_nofile.c"
	.loc 1 10 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	pushl	%edi
	pushl	%esi
	pushl	%ebx
	subl	$68, %esp
.LBB2:
	.loc 1 15 0
	movl	$3, 60(%esp)
	jmp	.L2
	.cfi_escape 0x10,0x3,0x7,0x75,0x0,0x9,0xf0,0x1a,0x3c,0x1c
	.cfi_escape 0x10,0x6,0x7,0x75,0x0,0x9,0xf0,0x1a,0x38,0x1c
	.cfi_escape 0x10,0x7,0x7,0x75,0x0,0x9,0xf0,0x1a,0x34,0x1c
.L3:
	movl	60(%esp), %eax
	movl	%eax, (%esp)
	call	close
	addl	$1, 60(%esp)
.L2:
	cmpl	$63, 60(%esp)
	jle	.L3
.LBE2:
	.loc 1 17 0
	leal	48(%esp), %eax
	movl	%eax, 4(%esp)
	movl	$7, (%esp)
	call	getrlimit
	testl	%eax, %eax
	jns	.L4
	.loc 1 19 0
	movl	$.LC0, (%esp)
	call	perror
	.loc 1 20 0
	movl	$1, (%esp)
	call	exit
.L4:
	.loc 1 23 0
	movl	52(%esp), %eax
	addl	$1, %eax
	movl	%eax, 40(%esp)
	.loc 1 24 0
	movl	52(%esp), %eax
	movl	%eax, 44(%esp)
	.loc 1 25 0
	leal	40(%esp), %eax
	movl	%eax, 4(%esp)
	movl	$7, (%esp)
	call	setrlimit
	cmpl	$-1, %eax
	jne	.L5
	.loc 1 27 0
	call	__errno_location
	movl	(%eax), %eax
	cmpl	$22, %eax
	je	.L6
	.loc 1 28 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC1, %eax
	movl	%edx, 12(%esp)
	movl	$52, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 29 0
	movl	$1, (%esp)
	call	exit
.L5:
	.loc 1 34 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC2, %eax
	movl	%edx, 12(%esp)
	movl	$45, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 35 0
	movl	$1, (%esp)
	call	exit
.L6:
	.loc 1 38 0
	movl	52(%esp), %eax
	movl	%eax, 40(%esp)
	.loc 1 39 0
	movl	52(%esp), %eax
	addl	$1, %eax
	movl	%eax, 44(%esp)
	.loc 1 40 0
	leal	40(%esp), %eax
	movl	%eax, 4(%esp)
	movl	$7, (%esp)
	call	setrlimit
	cmpl	$-1, %eax
	jne	.L7
	.loc 1 42 0
	call	__errno_location
	movl	(%eax), %eax
	cmpl	$1, %eax
	je	.L8
	.loc 1 43 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC3, %eax
	movl	%edx, 12(%esp)
	movl	$50, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 44 0
	movl	$1, (%esp)
	call	exit
.L7:
	.loc 1 49 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC4, %eax
	movl	%edx, 12(%esp)
	movl	$44, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 1 50 0
	movl	$1, (%esp)
	call	exit
.L8:
	.loc 1 53 0
	movl	48(%esp), %eax
	shrl	%eax
	movl	%eax, 40(%esp)
	.loc 1 54 0
	movl	52(%esp), %eax
	movl	%eax, 44(%esp)
	.loc 1 56 0
	leal	40(%esp), %eax
	movl	%eax, 4(%esp)
	movl	$7, (%esp)
	call	setrlimit
	testl	%eax, %eax
	jns	.L9
	.loc 1 58 0
	movl	$.LC5, (%esp)
	call	perror
	.loc 1 59 0
	movl	$1, (%esp)
	call	exit
.L9:
	.loc 1 62 0
	leal	40(%esp), %eax
	movl	%eax, 4(%esp)
	movl	$7, (%esp)
	call	getrlimit
	testl	%eax, %eax
	jns	.L10
	.loc 1 64 0
	movl	$.LC0, (%esp)
	call	perror
	.loc 1 65 0
	movl	$1, (%esp)
	call	exit
.L10:
	.loc 1 68 0
	movl	40(%esp), %eax
	movl	48(%esp), %edx
	shrl	%edx
	cmpl	%edx, %eax
	je	.L11
	.loc 1 70 0
	movl	48(%esp), %eax
	shrl	%eax
	movl	%eax, %ecx
	movl	$0, %ebx
	movl	40(%esp), %eax
	movl	$0, %edx
	movl	$.LC6, %edi
	movl	stderr, %esi
	movl	%ecx, 16(%esp)
	movl	%ebx, 20(%esp)
	movl	%eax, 8(%esp)
	movl	%edx, 12(%esp)
	movl	%edi, 4(%esp)
	movl	%esi, (%esp)
	call	fprintf
.L11:
	.loc 1 75 0
	movl	44(%esp), %edx
	movl	52(%esp), %eax
	cmpl	%eax, %edx
	je	.L12
	.loc 1 77 0
	movl	52(%esp), %eax
	movl	%eax, %ecx
	movl	$0, %ebx
	movl	44(%esp), %eax
	movl	$0, %edx
	movl	$.LC7, %edi
	movl	stderr, %esi
	movl	%ecx, 16(%esp)
	movl	%ebx, 20(%esp)
	movl	%eax, 8(%esp)
	movl	%edx, 12(%esp)
	movl	%edi, 4(%esp)
	movl	%esi, (%esp)
	call	fprintf
.L12:
	.loc 1 82 0
	movl	40(%esp), %eax
	subl	$3, %eax
	movl	%eax, 40(%esp)
	.loc 1 84 0
	jmp	.L13
.L14:
	.loc 1 86 0
	movl	$0, 4(%esp)
	movl	$.LC8, (%esp)
	call	open
	testl	%eax, %eax
	jns	.L13
	.loc 1 88 0
	movl	$.LC9, (%esp)
	call	perror
.L13:
	.loc 1 84 0
	movl	40(%esp), %eax
	testl	%eax, %eax
	setne	%dl
	subl	$1, %eax
	movl	%eax, 40(%esp)
	testb	%dl, %dl
	jne	.L14
	.loc 1 92 0
	movl	$0, 4(%esp)
	movl	$.LC8, (%esp)
	call	open
	movl	%eax, 56(%esp)
	cmpl	$0, 56(%esp)
	js	.L15
	.loc 1 94 0
	movl	$.LC10, %edx
	movl	stderr, %eax
	movl	56(%esp), %ecx
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	fprintf
	jmp	.L16
.L15:
	.loc 1 96 0
	call	__errno_location
	movl	(%eax), %eax
	cmpl	$24, %eax
	je	.L16
	.loc 1 98 0
	movl	$.LC9, (%esp)
	call	perror
.L16:
	.loc 1 101 0
	movl	$0, (%esp)
	call	exit
	.cfi_endproc
.LFE0:
	.size	main, .-main
.Letext0:
	.file 2 "/usr/include/bits/types.h"
	.file 3 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 4 "/usr/include/libio.h"
	.file 5 "/usr/include/bits/resource.h"
	.file 6 "/usr/include/stdio.h"
	.section	.debug_info
	.long	0x3ec
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF76
	.byte	0x1
	.long	.LASF77
	.long	.LASF78
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF0
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF1
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x4
	.long	.LASF8
	.byte	0x2
	.byte	0x38
	.long	0x56
	.uleb128 0x4
	.long	.LASF9
	.byte	0x2
	.byte	0x8d
	.long	0x7a
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF10
	.uleb128 0x4
	.long	.LASF11
	.byte	0x2
	.byte	0x8e
	.long	0x64
	.uleb128 0x4
	.long	.LASF12
	.byte	0x2
	.byte	0x92
	.long	0x3a
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x9f
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF13
	.uleb128 0x4
	.long	.LASF14
	.byte	0x3
	.byte	0xd3
	.long	0x33
	.uleb128 0x7
	.long	.LASF44
	.byte	0x94
	.byte	0x4
	.value	0x10f
	.long	0x245
	.uleb128 0x8
	.long	.LASF15
	.byte	0x4
	.value	0x110
	.long	0x4f
	.sleb128 0
	.uleb128 0x8
	.long	.LASF16
	.byte	0x4
	.value	0x115
	.long	0x99
	.sleb128 4
	.uleb128 0x8
	.long	.LASF17
	.byte	0x4
	.value	0x116
	.long	0x99
	.sleb128 8
	.uleb128 0x8
	.long	.LASF18
	.byte	0x4
	.value	0x117
	.long	0x99
	.sleb128 12
	.uleb128 0x8
	.long	.LASF19
	.byte	0x4
	.value	0x118
	.long	0x99
	.sleb128 16
	.uleb128 0x8
	.long	.LASF20
	.byte	0x4
	.value	0x119
	.long	0x99
	.sleb128 20
	.uleb128 0x8
	.long	.LASF21
	.byte	0x4
	.value	0x11a
	.long	0x99
	.sleb128 24
	.uleb128 0x8
	.long	.LASF22
	.byte	0x4
	.value	0x11b
	.long	0x99
	.sleb128 28
	.uleb128 0x8
	.long	.LASF23
	.byte	0x4
	.value	0x11c
	.long	0x99
	.sleb128 32
	.uleb128 0x8
	.long	.LASF24
	.byte	0x4
	.value	0x11e
	.long	0x99
	.sleb128 36
	.uleb128 0x8
	.long	.LASF25
	.byte	0x4
	.value	0x11f
	.long	0x99
	.sleb128 40
	.uleb128 0x8
	.long	.LASF26
	.byte	0x4
	.value	0x120
	.long	0x99
	.sleb128 44
	.uleb128 0x8
	.long	.LASF27
	.byte	0x4
	.value	0x122
	.long	0x27d
	.sleb128 48
	.uleb128 0x8
	.long	.LASF28
	.byte	0x4
	.value	0x124
	.long	0x283
	.sleb128 52
	.uleb128 0x8
	.long	.LASF29
	.byte	0x4
	.value	0x126
	.long	0x4f
	.sleb128 56
	.uleb128 0x8
	.long	.LASF30
	.byte	0x4
	.value	0x12a
	.long	0x4f
	.sleb128 60
	.uleb128 0x8
	.long	.LASF31
	.byte	0x4
	.value	0x12c
	.long	0x6f
	.sleb128 64
	.uleb128 0x8
	.long	.LASF32
	.byte	0x4
	.value	0x130
	.long	0x2c
	.sleb128 68
	.uleb128 0x8
	.long	.LASF33
	.byte	0x4
	.value	0x131
	.long	0x41
	.sleb128 70
	.uleb128 0x8
	.long	.LASF34
	.byte	0x4
	.value	0x132
	.long	0x289
	.sleb128 71
	.uleb128 0x8
	.long	.LASF35
	.byte	0x4
	.value	0x136
	.long	0x299
	.sleb128 72
	.uleb128 0x8
	.long	.LASF36
	.byte	0x4
	.value	0x13f
	.long	0x81
	.sleb128 76
	.uleb128 0x8
	.long	.LASF37
	.byte	0x4
	.value	0x148
	.long	0x97
	.sleb128 84
	.uleb128 0x8
	.long	.LASF38
	.byte	0x4
	.value	0x149
	.long	0x97
	.sleb128 88
	.uleb128 0x8
	.long	.LASF39
	.byte	0x4
	.value	0x14a
	.long	0x97
	.sleb128 92
	.uleb128 0x8
	.long	.LASF40
	.byte	0x4
	.value	0x14b
	.long	0x97
	.sleb128 96
	.uleb128 0x8
	.long	.LASF41
	.byte	0x4
	.value	0x14c
	.long	0xa6
	.sleb128 100
	.uleb128 0x8
	.long	.LASF42
	.byte	0x4
	.value	0x14e
	.long	0x4f
	.sleb128 104
	.uleb128 0x8
	.long	.LASF43
	.byte	0x4
	.value	0x150
	.long	0x29f
	.sleb128 108
	.byte	0x0
	.uleb128 0x9
	.long	.LASF79
	.byte	0x4
	.byte	0xb4
	.uleb128 0xa
	.long	.LASF45
	.byte	0xc
	.byte	0x4
	.byte	0xba
	.long	0x27d
	.uleb128 0xb
	.long	.LASF46
	.byte	0x4
	.byte	0xbb
	.long	0x27d
	.sleb128 0
	.uleb128 0xb
	.long	.LASF47
	.byte	0x4
	.byte	0xbc
	.long	0x283
	.sleb128 4
	.uleb128 0xb
	.long	.LASF48
	.byte	0x4
	.byte	0xc0
	.long	0x4f
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x24c
	.uleb128 0x6
	.byte	0x4
	.long	0xb1
	.uleb128 0xc
	.long	0x9f
	.long	0x299
	.uleb128 0xd
	.long	0x33
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x245
	.uleb128 0xc
	.long	0x9f
	.long	0x2af
	.uleb128 0xd
	.long	0x33
	.byte	0x27
	.byte	0x0
	.uleb128 0xe
	.long	.LASF80
	.byte	0x4
	.byte	0x5
	.byte	0x22
	.long	0x328
	.uleb128 0xf
	.long	.LASF49
	.sleb128 0
	.uleb128 0xf
	.long	.LASF50
	.sleb128 1
	.uleb128 0xf
	.long	.LASF51
	.sleb128 2
	.uleb128 0xf
	.long	.LASF52
	.sleb128 3
	.uleb128 0xf
	.long	.LASF53
	.sleb128 4
	.uleb128 0xf
	.long	.LASF54
	.sleb128 5
	.uleb128 0xf
	.long	.LASF55
	.sleb128 7
	.uleb128 0xf
	.long	.LASF56
	.sleb128 7
	.uleb128 0xf
	.long	.LASF57
	.sleb128 9
	.uleb128 0xf
	.long	.LASF58
	.sleb128 6
	.uleb128 0xf
	.long	.LASF59
	.sleb128 8
	.uleb128 0xf
	.long	.LASF60
	.sleb128 10
	.uleb128 0xf
	.long	.LASF61
	.sleb128 11
	.uleb128 0xf
	.long	.LASF62
	.sleb128 12
	.uleb128 0xf
	.long	.LASF63
	.sleb128 13
	.uleb128 0xf
	.long	.LASF64
	.sleb128 14
	.uleb128 0xf
	.long	.LASF65
	.sleb128 15
	.uleb128 0xf
	.long	.LASF66
	.sleb128 15
	.byte	0x0
	.uleb128 0x4
	.long	.LASF67
	.byte	0x5
	.byte	0x7f
	.long	0x8c
	.uleb128 0xa
	.long	.LASF68
	.byte	0x8
	.byte	0x5
	.byte	0x88
	.long	0x358
	.uleb128 0xb
	.long	.LASF69
	.byte	0x5
	.byte	0x8a
	.long	0x328
	.sleb128 0
	.uleb128 0xb
	.long	.LASF70
	.byte	0x5
	.byte	0x8c
	.long	0x328
	.sleb128 4
	.byte	0x0
	.uleb128 0x10
	.byte	0x1
	.long	.LASF81
	.byte	0x1
	.byte	0x9
	.byte	0x1
	.long	0x4f
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x3cf
	.uleb128 0x11
	.long	.LASF71
	.byte	0x1
	.byte	0x9
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x11
	.long	.LASF72
	.byte	0x1
	.byte	0x9
	.long	0x3cf
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x12
	.long	.LASF73
	.byte	0x1
	.byte	0xb
	.long	0x333
	.byte	0x2
	.byte	0x74
	.sleb128 48
	.uleb128 0x12
	.long	.LASF74
	.byte	0x1
	.byte	0xc
	.long	0x333
	.byte	0x2
	.byte	0x74
	.sleb128 40
	.uleb128 0x13
	.string	"fd"
	.byte	0x1
	.byte	0xd
	.long	0x4f
	.byte	0x2
	.byte	0x74
	.sleb128 56
	.uleb128 0x14
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x13
	.string	"i"
	.byte	0x1
	.byte	0xf
	.long	0x4f
	.byte	0x2
	.byte	0x74
	.sleb128 60
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x99
	.uleb128 0x15
	.long	.LASF75
	.byte	0x6
	.byte	0xa7
	.long	0x283
	.byte	0x1
	.byte	0x1
	.uleb128 0x15
	.long	.LASF75
	.byte	0x6
	.byte	0xa7
	.long	0x283
	.byte	0x1
	.byte	0x1
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x4
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x28
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0x3f0
	.long	0x358
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xa4
	.value	0x2
	.long	.Ldebug_info0
	.long	0x3f0
	.long	0x64
	.string	"__quad_t"
	.long	0x6f
	.string	"__off_t"
	.long	0x81
	.string	"__off64_t"
	.long	0x8c
	.string	"__rlim_t"
	.long	0xa6
	.string	"size_t"
	.long	0x245
	.string	"_IO_lock_t"
	.long	0x24c
	.string	"_IO_marker"
	.long	0xb1
	.string	"_IO_FILE"
	.long	0x2af
	.string	"__rlimit_resource"
	.long	0x328
	.string	"rlim_t"
	.long	0x333
	.string	"rlimit"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF68:
	.string	"rlimit"
.LASF8:
	.string	"__quad_t"
.LASF30:
	.string	"_flags2"
.LASF64:
	.string	"__RLIMIT_RTPRIO"
.LASF44:
	.string	"_IO_FILE"
.LASF53:
	.string	"RLIMIT_CORE"
.LASF26:
	.string	"_IO_save_end"
.LASF5:
	.string	"short int"
.LASF14:
	.string	"size_t"
.LASF36:
	.string	"_offset"
.LASF76:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF20:
	.string	"_IO_write_ptr"
.LASF15:
	.string	"_flags"
.LASF22:
	.string	"_IO_buf_base"
.LASF27:
	.string	"_markers"
.LASF17:
	.string	"_IO_read_end"
.LASF74:
	.string	"newrlim"
.LASF75:
	.string	"stderr"
.LASF6:
	.string	"long long int"
.LASF67:
	.string	"rlim_t"
.LASF70:
	.string	"rlim_max"
.LASF35:
	.string	"_lock"
.LASF10:
	.string	"long int"
.LASF80:
	.string	"__rlimit_resource"
.LASF52:
	.string	"RLIMIT_STACK"
.LASF32:
	.string	"_cur_column"
.LASF60:
	.string	"__RLIMIT_LOCKS"
.LASF48:
	.string	"_pos"
.LASF72:
	.string	"argv"
.LASF47:
	.string	"_sbuf"
.LASF31:
	.string	"_old_offset"
.LASF51:
	.string	"RLIMIT_DATA"
.LASF54:
	.string	"__RLIMIT_RSS"
.LASF11:
	.string	"__off64_t"
.LASF66:
	.string	"__RLIM_NLIMITS"
.LASF0:
	.string	"unsigned char"
.LASF78:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/none/tests"
.LASF71:
	.string	"argc"
.LASF4:
	.string	"signed char"
.LASF7:
	.string	"long long unsigned int"
.LASF2:
	.string	"unsigned int"
.LASF45:
	.string	"_IO_marker"
.LASF34:
	.string	"_shortbuf"
.LASF73:
	.string	"oldrlim"
.LASF19:
	.string	"_IO_write_base"
.LASF43:
	.string	"_unused2"
.LASF16:
	.string	"_IO_read_ptr"
.LASF61:
	.string	"__RLIMIT_SIGPENDING"
.LASF23:
	.string	"_IO_buf_end"
.LASF58:
	.string	"__RLIMIT_NPROC"
.LASF13:
	.string	"char"
.LASF56:
	.string	"__RLIMIT_OFILE"
.LASF81:
	.string	"main"
.LASF46:
	.string	"_next"
.LASF37:
	.string	"__pad1"
.LASF38:
	.string	"__pad2"
.LASF39:
	.string	"__pad3"
.LASF40:
	.string	"__pad4"
.LASF41:
	.string	"__pad5"
.LASF63:
	.string	"__RLIMIT_NICE"
.LASF1:
	.string	"short unsigned int"
.LASF3:
	.string	"long unsigned int"
.LASF50:
	.string	"RLIMIT_FSIZE"
.LASF21:
	.string	"_IO_write_end"
.LASF49:
	.string	"RLIMIT_CPU"
.LASF29:
	.string	"_fileno"
.LASF28:
	.string	"_chain"
.LASF9:
	.string	"__off_t"
.LASF69:
	.string	"rlim_cur"
.LASF57:
	.string	"RLIMIT_AS"
.LASF59:
	.string	"__RLIMIT_MEMLOCK"
.LASF25:
	.string	"_IO_backup_base"
.LASF77:
	.string	"rlimit_nofile.c"
.LASF62:
	.string	"__RLIMIT_MSGQUEUE"
.LASF42:
	.string	"_mode"
.LASF18:
	.string	"_IO_read_base"
.LASF55:
	.string	"RLIMIT_NOFILE"
.LASF33:
	.string	"_vtable_offset"
.LASF12:
	.string	"__rlim_t"
.LASF24:
	.string	"_IO_save_base"
.LASF65:
	.string	"__RLIMIT_NLIMITS"
.LASF79:
	.string	"_IO_lock_t"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
